Help: Unable to register username in blockstack


#1

I have a blockstack browser installed on my Mac at http://localhost:8888/.

I have added 0.02 BTC to my account. I select

Profiles > My Profiles > Add username

The username is available. It says, “xxxx.id costs ~0.01 btc to register”.

Then there is an error message:

“There was a problem submitting your registration.”

I tried this with a number of available usernames. Still same error.

Can somebody please assist?


#2

Hi Stroh,

I had the same issue.

The problem is that it says around the 0.01 btc which depends on the currect BTC rate and fees.

But when you really try the register the username, it is possible, that the price + fees is more then our current BTC balance.

good luck


#3

Surely the cost would not be more than 0.02 BTC. That is about 34 GBP just for a username. Ridiculous!!

No, I think it’s a bug. It’s gotta be. Otherwise it’s a rip-off.


#4

@stroh

I’m so sorry that you ran into this issue!

I’d love to help you figure out what went wrong. If you are willing, it would be great if you could share your logs with us:

Instructions are here:

You can send them to me in a private message on the forum, slack or email them to me at larry at blockstack.com.


#5

You’re right. I’ve opened a github issue about this: https://github.com/blockstack/blockstack-browser/issues/517


#6

Hey Larry,
Any news on this issue??
Cheers,
Michael.


#7

Hi Larry,

Tried to run blockstack on latest Ubuntu. No luck yet. Here is the dump after I followed the Ubuntu instructions:

(.blockstack.venv) mstroh@ubuntu:~/blockstack-portal$

blockstack-portal@0.8.0 dev-proxy /home/mstroh/blockstack-portal
NODE_ENV=development ./node_modules/.bin/gulp proxy

sh: 1: ./node_modules/.bin/gulp: not found

npm ERR! Linux 4.10.0-19-generic
npm ERR! argv “/usr/bin/nodejs” “/usr/bin/npm” “run” "dev-proxy"
npm ERR! node v7.10.0
npm ERR! npm v4.2.0
npm ERR! file sh
npm ERR! code ELIFECYCLE
npm ERR! errno ENOENT
npm ERR! syscall spawn
npm ERR! blockstack-portal@0.8.0 dev-proxy: NODE_ENV=development ./node_modules/.bin/gulp proxy
npm ERR! spawn ENOENT
npm ERR!
npm ERR! Failed at the blockstack-portal@0.8.0 dev-proxy script ‘NODE_ENV=development ./node_modules/.bin/gulp proxy’.
npm ERR! Make sure you have the latest version of node.js and npm installed.
npm ERR! If you do, this is most likely a problem with the blockstack-portal package,
npm ERR! not with npm itself.
npm ERR! Tell the author that this fails on your system:
npm ERR! NODE_ENV=development ./node_modules/.bin/gulp proxy
npm ERR! You can get information on how to open an issue for this project with:
npm ERR! npm bugs blockstack-portal
npm ERR! Or if that isn’t available, you can get their info via:
npm ERR! npm owner ls blockstack-portal
npm ERR! There is likely additional logging output above.

npm ERR! Please include the following file with any support request:
npm ERR! /home/mstroh/.npm/_logs/2017-06-03T22_58_08_900Z-debug.log


#8

Sorry, I’ve been traveling today and haven’t had a chance to look at it. Will get to it on Monday!

Did you run npm install?

Also, we haven’t tested node 7, only node 6 LTS…that also could be it. If you’re still having trouble let me know and will look more deeply this coming week!


#9

Still having problems Larry. Pls assist!


#10

Hi Michael!

@jude and I took a look at the logs you were so kind to share with us this morning and determined that the fee problem you were experiencing is the result of how Blockstack estimates transaction fees. Adding more bitcoin has the effect of increasing the transaction fees such that you still don’t have enough bitcoin.

We’re working on a solution that will reduce the amount of those fees which should solve your problem. This will ship in the update released at the end of our current sprint (week from this coming Monday).

If you’re interested in the specific details of what we’re working on, you can follow along on this github issue: https://github.com/blockstack/blockstack-core/issues/452


#11

I am also unable to register my name in blockstack my current BTC balance is .02. Please let me know if there are any updates about this issue.

Thanks,

Nate


#12

Switched browsers from Chrome to Firefox, all good now.